<?php

// Id used to identify this page within functions.
$PageID = "BOOK_ADD";

require_once "common.inc";

require_once "config.inc";
require_once "constants.inc";
require_once "layout.inc";
require_once "language.inc";
require_once "search.inc";
require_once "MARC.inc";

$onLoad = 	"if (document.book_add_normal) document.book_add_normal.book_ean.select(); " .
			"if (document.book_add0) document.book_add0.accept.focus(); " .
			"if (document.book_add_edit) document.book_add_edit.accept.focus(); " .
			"if (document.print_info) document.print_info.submit();";

layout_header(array('onload' => $onLoad));

if (isset($_REQUEST['book_ean']) && !isset($_REQUEST['control_number']))
{
	if (!verify_ean($_REQUEST['book_ean']) && !verify_isbn($_REQUEST['book_ean']))
	{
		layout_page_title($langText['ERROR_EAN_ISBN'], 'error');
		unset($_REQUEST['stage']);
	}
}

if(isset($_REQUEST['mode']) && $_REQUEST['mode'] == 'reincarnate' && isset($_REQUEST['book_id']) && is_book($_REQUEST['book_id']) && isset($_REQUEST['reincarnate']))
{
	//remove P from end of book_id
	$_REQUEST['book_id'] = chop_last($_REQUEST['book_id']);

	$old = mysql_fetch_array(mysql_query("SELECT * FROM deleted_books WHERE del_book_id=".$_REQUEST['book_id']));
	$new = mysql_query("INSERT INTO books SET
							book_id=".$old['del_book_id'].",
							book_control_number=".$old['del_book_control_number'].",
							book_date_added=".$old['del_book_date_added'].",
							book_borrowed=0,
							book_reserved=0,
							book_borrow_count=".$old['del_book_borrow_count'].",
							book_location=".$old['del_book_location']);
	$res = mysql_query("DELETE FROM deleted_books WHERE del_book_id=".$_REQUEST['book_id']);

	if(mysql_affected_rows())
	{
		$_REQUEST['result'] = 'add_success';
		layout_page_title($langText['REINCARNATE_SUCCESS'], 'ok');
	}
	else
	{
		$_REQUEST['result'] = 'add_failure'; //not supported yet, only != 'add_success'
		layout_page_title($langText['ERROR_REINCARNATE'], 'error');
	}
}
elseif(isset($_REQUEST['mode']) && $_REQUEST['mode'] == 'reincarnate' && isset($_REQUEST['book_id']) && is_book($_REQUEST['book_id']) && !isset($_REQUEST['reincarnate']))
{
	layout_page_title($langText['BUTTON_REINCARNATE']);

	$res = mysql_query("SELECT * FROM deleted_books WHERE del_book_id=".chop_last($_REQUEST['book_id']));

	if(mysql_num_rows($res))
	{
		layout_wizard_start($langText['REINCARNATE_HELP_DESC'], $langText['REINCARNATE_HELP_TEXT']);

		if(is_last_char($_REQUEST['book_id'], $config['book_id_suffix']))
			$raw_id = chop_last($_REQUEST['book_id']);

		// Display book info, similar to book_info.php
		$book = mysql_fetch_array(mysql_query("SELECT * FROM deleted_books WHERE del_book_id=".$raw_id));
		$i = 0;
		$position = 1;
		$criteria = '001';
		$hits_per_page = 1;
		$_REQUEST['element'] = "F";

		//list($YAZ_items, $hits) = search($criteria, $_REQUEST['book_control_number'], $position);
		list($YAZ_items, $hits) = search($criteria, format_control_number($book['del_book_control_number']), $position, $hits_per_page);

		$headers = array();
		$content = array();

		parseMARC($YAZ_items[0]);
		$row = createMARCRow(return_with_format_syntax($MARC_display_extended));

		$header = (strlen($row['book_title']) > 50) ? substr($row['book_title'], 0, 47) . '...' : $row['book_title'];
		$headers = array($header);
		layout_table_header($headers, array('colspan="2"'));

		while(list($key, $value) = each($row))
		{
			//array_push($content, $row[$key], "&nbsp;");
			layout_table_row(array('<b>' . $langText[strtoupper($key)] . '</b>', $row[$key]));
		}

		$yes = "<form name='reincarnate' action='book_add.php' method='post'>
					<input type='hidden' name='id' value='".$_REQUEST['id']."'>
					<input type='hidden' name='auth' value='".$_REQUEST['auth']."'>
					<input type='hidden' name='book_id' value='".$_REQUEST['book_id']."'>
					<input type='hidden' name='stage' value='1'>
					<input type='hidden' name='mode' value='reincarnate'>
					<input type='submit' name='reincarnate' class='button' value='".$langText['BUTTON_REINCARNATE']."'>
				</form>";

		layout_table_footer($yes);

		layout_wizard_stop();
	}
	else
	{
		layout_page_title($langText['ERROR_NO_REINCARNATE'], 'error');
	}
}

if(isset($_REQUEST['stage']) && $_REQUEST['stage'] == 2)
{
	$hits_per_page = 10;
	$success = 0;
	$position = 1;
	$query_parts = array();

	if(isset($_REQUEST['mode']) && $_REQUEST['mode'] == "interactive")
	{
		$success = FALSE;
		if(isset($_REQUEST['current_source']) && $_REQUEST['current_source'] != "") {
			$start_here = FALSE;
		} else {
			$start_here = TRUE;
		}

		foreach ($remote_database as $name => $url)
		{
			if($start_here)
			{
				//print "Host: ".$url." = ".end($remote_database)."<br>";
				//$criteria = $_REQUEST['criteria'];
				//$query = $_REQUEST['query'];

				if(isset($_REQUEST['position']))
					$position = $_REQUEST['position'];

				$total_query = "";
				$criteria_count = 0;
				$page_index_url = "";
				foreach($_REQUEST as $key => $value)
				{
					if(array_key_exists($key, $MARC_config) && $value != "")
					{
						$criteria_count++;

						$curr_bool = boolify_query($value, $key, $url);
						if($curr_bool != 'error bool') {
							if(count($query_parts) < 1) {
								array_push($query_parts, $curr_bool);
							} else {
								$last = end($query_parts);
								$query_parts[count($query_parts)-1] = "@and";
								array_push($query_parts, $last);
								array_push($query_parts, $curr_bool);
							}
							//$total_query .= " ".$curr_bool;
						}
						else {
							$error = 'bool';
							break;
						}
					}

					if(array_key_exists($key, $MARC_config))
					{
						$page_index_url .= "&".$key."=".$value;
					}
				}
				
				$total_query = join(" ", $query_parts);

				if(isset($error) && $error == "bool") {
					$error = $langText['ERROR_BOOL'];
					$hits = 0;
				}
				else {
					if($criteria_count > 1)
						list($YAZ_items, $hits) = search("", $total_query, $position, $hits_per_page, $url); //Call quick-search from search.inc
					else
						list($YAZ_items, $hits) = search("", $total_query, $position, $hits_per_page, $url); //Call quick-search from search.inc
					$how_many = $hits_per_page;

	                // Verify that not more records are fetched than are to be displayed
					// on the current page.
					if(($hits - (($position-1) + $hits_per_page)) < 0) {
						$how_many = $hits-($position-1);
					}
				}

                if($hits == 1 && !isset($error)) {
					$success = FALSE;
					$_REQUEST['mode'] = "normal";

					parseMARC($YAZ_items[0]);
					$row = createMARCRow(return_with_format_syntax($MARC_display_in_list));

					$row['book_isbn'] = format_isbn($row['book_isbn']);

					$_REQUEST['book_ean'] = "";
					$_REQUEST['control_number'] = "";
					$_REQUEST['was_interactive'] = true;
					if(array_key_exists('book_isbn', $row) && $row['book_isbn'] != "")
						$_REQUEST['book_ean'] = $row['book_isbn'];
					else
						$_REQUEST['control_number'] = book_control_number();

					break;

				}
				elseif($hits != '') {
					$success = TRUE;
					break;
				}
			}

			if(isset($_REQUEST['current_source']) && $_REQUEST['current_source'] == $url) {
				$start_here = TRUE;
			}
		}

		if ($success)
		{
			$i = 0;
			$current_source = (isset($_REQUEST['current_source'])) ? "&current_source=".$_REQUEST['current_source'] : "";
			$page_index = create_page_index($hits, $position, $hits_per_page, "book_add.php?id=".$_REQUEST['id']."&auth=".$_REQUEST['auth']."&".$page_index_url."&mode=interactive&stage=2&element=F".$current_source);

			layout_page_title($langText['RETRIEVED_INFO'], 'ok');

			layout_wizard_start();

			$headers = array('&nbsp;', '&nbsp;');
			foreach ($MARC_display_in_list as $value) {
				array_push($headers, $langText[strtoupper($MARC_config[$value])]);
			}
			layout_table_header($headers);

			while($i < $how_many && $i < $hits)
			{
				$row = array();
				$MARC = array();

				parseMARC($YAZ_items[$i]);
				$row = createMARCRow(return_with_format_syntax($MARC_display_in_list));

				$row['book_isbn'] = format_isbn($row['book_isbn']);

				$book_isbn = "";
				$control_number = "";
				if(array_key_exists('book_isbn', $row) && $row['book_isbn'] != "" && $url != $config['zebra_host'].":".$config['zebra_port']."/".$config['zebra_db'])
					$book_isbn = $row['book_isbn'];
				else
					$control_number = book_control_number();

				$content = array("<a href='book_add.php?id=".$_REQUEST['id']."&auth=".$_REQUEST['auth']."&stage=2&mode=normal&element=F&book_ean=".$book_isbn."&control_number=".$control_number."&source=".$url."'>".layout_insertImg('icon_info.png')."</a>", ($position + $i));
				while(list($key, $value) = each($row))
				{
					array_push($content, $row[$key]);
				}

				layout_table_row($content);

				$i++;
			}

			if($url != end($remote_database)) {
				$next_source = '<a href="javascript:location.replace(\''.getenv('REQUEST_URI').'&current_source='.$url.'\')">' . $langText['BUTTON_NEXT_SOURCE'] . ' >></a>';
			} else {
				$next_source = "";
			}
			
			layout_table_footer($page_index);

			layout_wizard_stop(
				$langText['HELP_DESC'],
				"<b>" . $langText[strtoupper($name)] . "</b><br />" .
				$langText['FETCH_SUCCESS'] . "<br /><br />" .
				$next_source
			);
		}

		elseif(!$success && $hits == 0 && !isset($error)) {
			layout_page_title($langText['FETCH_FAILURE'], 'error');
			//print "HERE";
			unset($_REQUEST['stage']);
		}
		elseif(!$success && $hits == 0 && isset($error)) {
			layout_page_title($langText['ERROR_BOOL'], 'error');
			unset($_REQUEST['stage']);
		 }
	}

	if(isset($_REQUEST['mode']) && $_REQUEST['mode'] == "normal")
	{
		$success = FALSE;

		foreach ($remote_database as $name => $url)
		{
			if (isset($_REQUEST['source']) && $_REQUEST['source'] != "") {
				$url = $_REQUEST['source'];
				foreach ($remote_database as $_name => $_url) {
					if ($_url == $url) {
						$name = $_name;
					}
				}
			}
			
			if(isset($_REQUEST['control_number']) && $_REQUEST['control_number'] != "") {
				$criteria = "001";
				$query = $_REQUEST['control_number'];
			}
			else {
				$criteria = "020";

				if (verify_ean($_REQUEST['book_ean'])) {
					$query = ean2isbn($_REQUEST['book_ean']);
				}
				elseif (verify_isbn($_REQUEST['book_ean'])) {
					$query = $_REQUEST['book_ean'];
				}
				else {
					continue;
				}
			}

			if(isset($_REQUEST['position']))
				$position = $_REQUEST['position'];

			list($YAZ_items, $hits, $MARC_raw) = search($criteria, $query, $position, $hits_per_page, $url, "raw");
			$how_many = $hits_per_page;

			// Verify that not more records are fetched than are to be displayed
			// on the current page.
			if(($hits - (($position-1) + $hits_per_page)) < 0) {
				$how_many = $hits-($position-1);
			}

			if($hits != "") {
				$success = TRUE;
				break;
			}
		}

		if ($success)
		{
			$i = 0;
			$page_index = create_page_index($hits, $position, $hits_per_page, "book_add.php?id=".$_REQUEST['id']."&auth=".$_REQUEST['auth']."&criteria=".$criteria."&query=".$query."&mode=interactive&stage=2&element=F");

			layout_page_title($langText['RETRIEVED_INFO'], 'ok');

			layout_wizard_start();

			while($i < $how_many && $i < $hits)
			{
				$headers = array();
				$content = array();
				$row = array();

				parseMARC($YAZ_items[$i]);
				$row = createMARCRow(return_with_format_syntax($MARC_display_extended));

				$native_cn = "";
				if($url == $config['zebra_host'].":".$config['zebra_port']."/".$config['zebra_db'])
					$native_cn = book_control_number();

				?>
						<form name='book_add<?php echo $i ?>' action='perl/MARC.pl' method='post'>
							<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
							<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
							<input type='hidden' name='stage' value='3'>
							<input type="hidden" name="perl_id" value="<?php echo $config['perl_id']?>">
							<input type="hidden" name="perl_auth" value="<?php echo md5($config['perl_auth'])?>">
							<input type="hidden" name="from_page" value="<?php echo strtolower($PageID)?>">
							<input type="hidden" name='020a' value='<?php if(array_key_exists('book_isbn', $row) && $row['book_isbn'] != "") echo format_isbn($row['book_isbn']);?>'>
							<input type="hidden" name="url" value="<?php echo $url ?>">
							<input type="hidden" name="control_number" value="<?php echo book_control_number() ?>">
							<input type="hidden" name="raw_marc" value="<?php echo $MARC_raw[0] ?>">
							<input type="hidden" name="native_cn" value="<?php echo $native_cn ?>">
				<?php

				$row['book_isbn'] = format_isbn($row['book_isbn']);

				$headers = array($row['book_isbn']);

				layout_table_header($headers, 'colspan="2"');

				while(list($key, $value) = each($row))
				{
					layout_table_row(array('<b>' . $langText[strtoupper($key)] . '</b>', $row[$key]), 'auto', 'nowrap');
				}

				if($url != end($remote_database) && isset($_REQUEST['was_interactive']) && $_REQUEST['was_interactive']) {
					$next_source = '<a href="javascript:location.replace(\''.getenv('REQUEST_URI').'&current_source='.$url.'\')">' . $langText['BUTTON_NEXT_SOURCE'] . ' >></a>';
				} else {
					$next_source = "";
				}

				layout_table_footer(
					$langText['ADD_COPIES'] .
					'&nbsp;&nbsp;' .
					'<input type="text" name="copies" value="1" size="5">' .
					'&nbsp;&nbsp;&nbsp;' .
					'<input type="button" name="edit" class="button" value="' .
					$langText['BUTTON_EDIT'] . '"' .
					' onClick="document.book_add_tmp' . $i . '.copies.value = document.book_add' . $i . '.copies.value; document.book_add_tmp' . $i . '.submit();"' .
					'>' .
					'&nbsp;&nbsp;&nbsp;' .
					'<input type="submit" name="accept" class="button" value="' .
					$langText['BUTTON_ACCEPT'] . '"' .
					'>'
				);

				echo '</form>';

				?>

					<form name="book_add_tmp<?php echo $i ?>" action="book_add.php" method="POST">
						<input type="hidden" name="id" value="<?php echo $_REQUEST['id']?>">
						<input type="hidden" name="auth" value="<?php echo $_REQUEST['auth']?>">
						<input type="hidden" name="stage" value="3">
						<input type="hidden" name="url" value="<?php echo $url ?>">
						<input type="hidden" name='020a' value='<?php if(array_key_exists('book_isbn', $row) && $row['book_isbn'] != "") echo format_isbn($row['book_isbn']);?>'>
						<input type="hidden" name="native_cn" value="<?php echo $native_cn ?>">
						<input type="hidden" name="control_number" value="<?php echo book_control_number() ?>">
						<input type="hidden" name="copies" value="1">
						<input type="hidden" name="edit" value="edit">
					</form>

					<br />
					<br />

				<?php

				$i++;
			}

			echo $page_index;

			layout_wizard_stop(
				$langText['HELP_DESC'],
				"<b>" . $langText[strtoupper($name)] . "</b><br />" .
				$langText['FETCH_SUCCESS'] . "<br /><br />" .
				$next_source
			);
		}
		else {
			layout_page_title($langText['FETCH_FAILURE'], 'error');
			unset($_REQUEST['stage']);
		}
	}
}

elseif(isset($_REQUEST['stage']) && $_REQUEST['stage'] == 3 && isset($_REQUEST['edit']))
{
	layout_page_title($langText['RETRIEVED_INFO'], 'ok');

	layout_wizard_start();

	?>
				<form name='book_add_edit' action='perl/MARC.pl' method='post'>
					<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
					<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
					<input type='hidden' name='stage' value=3>
					<input type='hidden' name='perl_id' value='<?php echo $config['perl_id']?>'>
					<input type='hidden' name='perl_auth' value='<?php echo md5($config['perl_auth'])?>'>
					<input type='hidden' name='from_page' value='<?php echo strtolower($PageID)?>'>
	<?php

	$criteria = "001";
	$query = $_REQUEST['control_number'];
	$position = 1;
	$url = $_REQUEST['url'];
	$_REQUEST['element'] = "F";

	list($YAZ_items, $hits, $MARC_raw) = search($criteria, $query, $position, 1, $url, "raw");

	parseMARC($YAZ_items[0]);
	$row = createMARCRow_edit($MARC_editable);

	$native_cn = "";
	if($url == $config['zebra_host'].":".$config['zebra_port']."/".$config['zebra_db'])
		$native_cn = book_control_number();

	print "<input type='hidden' name='url' value='".$url."'>";
	print "<input type='hidden' name='raw_marc' value='".$MARC_raw[0]."'>";
	print "<input type='hidden' name='native_cn' value='".$native_cn."'>";

	if(array_key_exists("020", $row) && array_key_exists("a", $row['020']))
		$row['020']['a'] = format_isbn($row['020']['a']);

	$headers = array($langText['EDIT_BOOK_INFO']);
	layout_table_header($headers, 'colspan="2"');

	while(list($key, $value) = each($row))
	{
		if(is_array($value))
		{
			$field_description = "<b>".$langText[strtoupper($MARC_config[$key])]." ".$langText['BOOK_FIELD_INFORMATION'].":</b>";
				layout_table_row(array($field_description, "&nbsp;"));

			foreach ($value as $_key => $_value)
			{
				$field_description = "&nbsp;&nbsp;&nbsp;".$langText[strtoupper($MARC_config[$key.$_key])].":";
				layout_table_row(array($field_description, "<input type='text' name='".$key.$_key."' value='".$_value."' size=25>"), 'auto', 'nowrap');
			}
		}
		else {
			continue;
		}
	}

	$copies = (isset($_REQUEST['copies'])) ? $_REQUEST['copies'] : '1';

	layout_table_footer(
		$langText['ADD_COPIES'] .
		'&nbsp;&nbsp;' .
		'<input type="text" name="copies" value="' . $copies . '" size="5">' .
		'&nbsp;&nbsp;&nbsp;' .
		'<input type="reset" name="reset" class="button" value="' .
		$langText['BUTTON_RESET'] . '">' .
		'&nbsp;&nbsp;&nbsp;' .
		'<input type="submit" name="accept" class="button" value="' .
		$langText['BUTTON_ACCEPT'] . '">'
	);

	echo '</form>';

	layout_wizard_stop();
}

elseif(isset($_REQUEST['stage']) && $_REQUEST['stage'] == 4 && isset($_REQUEST['manual']))
{
	layout_page_title();

	layout_wizard_start();

	?>
				<form name='book_add_edit' action='perl/MARC.pl' method='post'>
					<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
					<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
					<input type='hidden' name='stage' value=4>
					<input type='hidden' name='perl_id' value='<?php echo $config['perl_id']?>'>
					<input type='hidden' name='perl_auth' value='<?php echo md5($config['perl_auth'])?>'>
					<input type='hidden' name='from_page' value='<?php echo strtolower($PageID)?>'>
					<input type='hidden' name='url' value=''>
					<input type='hidden' name='raw_marc' value=''>
					<input type='hidden' name='native_cn' value=''>
	<?php

	$MARC_defs = MARC_defs();
	    		
	$headers = array($langText['EDIT_BOOK_INFO']);
	layout_table_header($headers, 'colspan="2"');
	$i=0;

	while($i < count($MARC_editable))
	{
		$key = $MARC_editable[$i];
		
		if(!preg_match("/[A-Za-z]/", $key) && isset($MARC_editable[$i+1]) && preg_match("/$key/", $MARC_editable[$i+1]))
		{
			$ind1 = 'Ind 1: <select name="'.$key.'_ind1">';
			foreach ($MARC_defs[$key]['ind1'] as $array) {
				$ind1 .= "<option value=".$array.">".$array."</option>";
			}
			$ind1 .= '</select>';
			$ind2 = 'Ind 2: <select name="'.$key.'_ind2">';
			foreach ($MARC_defs[$key]['ind2'] as $array) {
				$ind2 .= "<option value=".$array.">".$array."</option>";
			}
			$ind2 .= '</select>';
			
			$field_description = "<b>".$langText[strtoupper($MARC_config[$key])]." ".$langText['BOOK_FIELD_INFORMATION'].":</b>";
				layout_table_row(array($field_description, "$ind1&nbsp;&nbsp;$ind2"));
		}
		elseif(preg_match("/[A-Za-z]/", $key))
		{
			$field_description = "&nbsp;&nbsp;&nbsp;".$langText[strtoupper($MARC_config[$key])].":";
			layout_table_row(array($field_description, "<input type='text' name='".$key."' value='' size=25>"), 'auto', 'nowrap');
		}
		
		$i++;
	}

	$copies = (isset($_REQUEST['copies'])) ? $_REQUEST['copies'] : '1';

	layout_table_footer(
		$langText['ADD_COPIES'] .
		'&nbsp;&nbsp;' .
		'<input type="text" name="copies" value="' . $copies . '" size="5">' .
		'&nbsp;&nbsp;&nbsp;' .
		'<input type="reset" name="reset" class="button" value="' .
		$langText['BUTTON_RESET'] . '">' .
		'&nbsp;&nbsp;&nbsp;' .
		'<input type="submit" name="accept" class="button" value="' .
		$langText['BUTTON_ACCEPT'] . '">'
	);

	echo '</form>';

	layout_wizard_stop();
}

if (!isset($_REQUEST['stage']) || $_REQUEST['stage'] == 1)
{
	$result = '';
	$class = '';
	if(isset($_REQUEST['result']))
	{
		$result = $langText[strtoupper($_REQUEST['result'])];
		if ($_REQUEST['result'] == 'add_success') {
			$class = 'ok';
		}
	}

	layout_page_title($result, $class);
	layout_wizard_start(
		$langText['HELP_DESC'],
		$langText['HELP_TEXT'] .
		"<br /><br />
		<form name='book_add_manual' action='book_add.php' method='get'>
			<input type='hidden' name='id' value='" . $_REQUEST['id'] . "'>
			<input type='hidden' name='auth' value='" . $_REQUEST['auth'] . "'>
			<input type='hidden' name='stage' value=4>
			<input type='hidden' name='manual' value='manual'>
			<a href='javascript: document.book_add_manual.submit()'>" . $langText['MANUAL_HEADER'] . " >></a>
		</form>"
	);

	?>

	<table border="0" cellspacing="0" cellpadding="5">
		<tr>
			<td>
				<form name='book_add_normal' action='book_add.php' method='get'>
				<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
				<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
				<input type='hidden' name='stage' value=2>
				<input type='hidden' name='mode' value='normal'>
				<input type='hidden' name='element' value="F">
				<?php echo $langText['EAN_HEADER'] ?>:
			</td>
			<td align="left" valign="bottom">
				<input type='text' name='book_ean' size="25" value='<?php echo (isset($_REQUEST['book_ean'])) ? $_REQUEST['book_ean'] : '' ?>'>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td align="left" valign="bottom">
				<input type='submit' name='submit' class='button' value='<?php echo $langText['BUTTON_SEARCH']?>&nbsp;&gt;&gt;'>
				</form>
			</td>
		</tr>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="2" align="left" valign="bottom">
				<form name='book_add_interactive' action='book_add.php' method='get'>
				<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
				<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
				<input type='hidden' name='stage' value=2>
				<input type='hidden' name='mode' value='interactive'>
				<input type='hidden' name='element' value="F">

			</td>
		</tr>

		<?php

		foreach ($MARC_searchable as $searchable)
		{
			if($MARC_config[$searchable] != 'book_isbn')
			{

			?>
				<tr>
					<td align="right" valign="bottom">
						<?php echo $langText[strtoupper($MARC_config[$searchable])]?>:
					</td>
					<td align="left" valign="bottom">
						<input type='text' name='<?php echo $searchable?>' size='25' value='<?php if(isset($_REQUEST[$searchable])) print $_REQUEST[$searchable];?>'>
					</td>
				</tr>
			<?php

			}
		}

		?>

		<tr>
			<td>&nbsp;</td>
			<td align="left" valign="bottom">
				<input type='submit' name='submit' class='button' value='<?php echo $langText['BUTTON_SEARCH'] ?>&nbsp;&gt;&gt;'>
				</form>
			</td>
		</tr>
	</table>

	<?php

	if (isset($_REQUEST['book_id']))
	{
		print '<br /><br /><br /><br />';

		$footer = '';
		if (check_priv('LABEL_PRINTER'))
		{
			?>

			<form name="print_info" method="get" action="print.php">
				<input type="hidden" name="id" value="<?php echo $_REQUEST['id'] ?>" />
				<input type="hidden" name="auth" value="<?php echo $_REQUEST['auth'] ?>" />
				<input type="hidden" name="type" value="book_label" />
				<input type="hidden" name="book_id" value="<?php echo $_REQUEST['book_id']?>">

			<?php

			$footer = 	$langText['DID_LABEL_PRINT'] . "&nbsp;&nbsp;&nbsp;" .
						"<input type='submit' class='button' name='print_label' " .
						"value='" . $langText['BUTTON_PRINT_LABEL'] . "' " .
						"onClick='setTimeout(\"document.book_add_normal.book_ean.select();\", 100);'> " .
						"\n</form>";
		}

		layout_table_header(array($langText[strtoupper($_REQUEST['result'])]), array(), '', 'width="100%"');

		$ids = explode(',', $_REQUEST['book_id']);
		foreach ($ids as $current)
		{
			layout_table_row(array(format_book_id($current)));
		}

		layout_table_footer($footer);
	}

	layout_wizard_stop();
}

layout_footer();

?>
